text.skipToContent text.skipToNavigation

Getting to know the Linksys RE7350 Max-Stream™ WiFi 6 Range Extender

The Linksys RE7350 Max-Stream™ WiFi 6 Range Extender functions as a wireless range extender or wired range extender (access point) based on IEEE 802.11ax.  It operates in 2.4 GHz and 5 GHz bands and is backwards compatible with 802.11a/b/g/n/ac infrastructure.  With such device features, enjoy WiFi® technology in hard-to-reach locations at your home such as the backyard and garage.

Front Panel
User-added image

Back Panel
 
User-added image

Product Features
 
  • WiFi 6 Range Extender 
  • Dual-band AX1800 
  • 2x2 spatial streams
  • Boosts WiFi range up to 2,000 sq ft
  • Easy Setup with Spot Finder
  • MU-MIMO technology
  • One gigabit ethernet port
  • Beamforming technology
  • Cross-Band technology
  • Wi-Fi Protected Setup™ (WPS) support
  • Two modes:
    • Wireless range extender
    • Wired range extender (access point) 
  • Wireless Security:
    • WPA2™/WPA™ Mixed mode
    • WPA3™ Personal
    • WPA2 Personal
    • Enhanced Open
  • Power supply:
    • Internal AC/DC power supply:  100240V, 50/60 Hz
    • Output voltage/current DC:  12V/1.5A
  • Dimensions:  135 mm x 101 mm x 50.5 mm
  • Weight:  0.472 kg

Hardware
 
  • WPS button - Use the WPS technology to automatically and securely add wireless devices to your network.
  • Reset button - Press and hold for 10 seconds to reset the range extender to factory defaults.
  • Ethernet port - This gigabit ethernet port is used to connect wired clients such as a computer or media server to the Linksys RE7350 when in wireless range extender mode.  You can also use this port to connect the Linksys RE7350 to a router when it is in access point mode.
     
 User-added image
 
System Requirements
 
  • Working internet connection
  • AC power outlet
  • Ethernet cable if using the Linksys RE7350 in access point mode
  • A computer or tablet with WiFi capabilities
  • For browser configuration:
    • Internet Explorer® 8 or higher
    • Safari® 5.1 or higher
    • Google Chrome™ 25.0 or higher
    • Firefox® 20 or higher

Was this support article useful?

Additional Support Questions?

Search Again

CONTACT SUPPORT